# Information Schema SCHEMATA Table

The [Information Schema](/docs/server/reference/system-tables/information-schema.md) `SCHEMATA` table stores information about databases on the server.

It contains the following columns:

| Column                        | Description                                                                                                      |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------- |
| CATALOG\_NAME                 | Always def.                                                                                                      |
| SCHEMA\_NAME                  | Database name.                                                                                                   |
| DEFAULT\_CHARACTER\_SET\_NAME | Default [character set](/docs/server/reference/data-types/string-data-types/character-sets.md) for the database. |
| DEFAULT\_COLLATION\_NAME      | Default [collation](/docs/server/reference/data-types/string-data-types/character-sets.md).                      |
| SQL\_PATH                     | Always NULL.                                                                                                     |
| SCHEMA\_COMMENT               | Database comment. From [MariaDB 10.5.0](/docs/release-notes/community-server/old-releases/10.5/10.5.0.md).       |

## Example

{% tabs %}
{% tab title="Current" %}

```sql
SELECT * FROM INFORMATION_SCHEMA.SCHEMATA\G
...
*************************** 2. row ***************************
              CATALOG_NAME: def
               SCHEMA_NAME: presentations
DEFAULT_CHARACTER_SET_NAME: latin1
    DEFAULT_COLLATION_NAME: latin1_swedish_ci
                  SQL_PATH: NULL
            SCHEMA_COMMENT: Presentations for conferences
...
```

{% endtab %}

{% tab title="< 10.5.0" %}

```sql
SELECT * FROM INFORMATION_SCHEMA.SCHEMATA\G
*************************** 1. row ***************************
              CATALOG_NAME: def
               SCHEMA_NAME: information_schema
DEFAULT_CHARACTER_SET_NAME: utf8
    DEFAULT_COLLATION_NAME: utf8_general_ci
                  SQL_PATH: NULL
*************************** 2. row ***************************
              CATALOG_NAME: def
               SCHEMA_NAME: mysql
DEFAULT_CHARACTER_SET_NAME: latin1
    DEFAULT_COLLATION_NAME: latin1_swedish_ci
                  SQL_PATH: NULL
*************************** 3. row ***************************
              CATALOG_NAME: def
               SCHEMA_NAME: performance_schema
DEFAULT_CHARACTER_SET_NAME: utf8
    DEFAULT_COLLATION_NAME: utf8_general_ci
                  SQL_PATH: NULL
*************************** 4. row ***************************
              CATALOG_NAME: def
               SCHEMA_NAME: test
DEFAULT_CHARACTER_SET_NAME: latin1
    DEFAULT_COLLATION_NAME: latin1_swedish_ci
                  SQL_PATH: NULL
...
```

{% endtab %}
{% endtabs %}

## See Also

* [CREATE DATABASE](/docs/server/reference/sql-statements/data-definition/create/create-database.md)
* [ALTER DATABASE](/docs/server/reference/sql-statements/data-definition/alter/alter-database.md)
* [DROP DATABASE](/docs/server/reference/sql-statements/data-definition/drop/drop-database.md)
* [SHOW CREATE DATABASE](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-create-database.md)
* [SHOW DATABASES](/docs/server/reference/sql-statements/administrative-sql-statements/show/show-databases.md)
* [Character Sets and Collations](/docs/server/reference/data-types/string-data-types/character-sets/supported-character-sets-and-collations.md)

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/information-schema/information-schema-tables/information-schema-schemata-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
